# all files / ol/renderer/webgl/tilelayershader/ locations.js

42.86% Statements 3/7
0% Branches 0/8
0% Functions 0/1
42.86% Lines 3/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    1×

    1×

    1×

     // This file is automatically generated, do not edit
    goog.provide('ol.renderer.webgl.tilelayershader.Locations');

    goog.require('ol');

    /**
     * @constructor
     * @param {WebGLRenderingContext} gl GL.
     * @param {WebGLProgram} program Program.
     * @struct
     */
    ol.renderer.webgl.tilelayershader.Locations = function(gl, program) {

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_tileOffset = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_tileOffset' : 'd');

      /**
       * @type {WebGLUniformLocation}
       */
      this.u_texture = gl.getUniformLocation(
          program, ol.DEBUG_WEBGL ? 'u_texture' : 'e');

      /**
       * @type {number}
       */
      this.a_position = gl.getAttribLocation(
          program, ol.DEBUG_WEBGL ? 'a_position' : 'b');

      /**
       * @type {number}
       */
      this.a_texCoord = gl.getAttribLocation(
          program, ol.DEBUG_WEBGL ? 'a_texCoord' : 'c');
    };